package com.tofly.ghrq_route.module.emergencyHandle.domain;

import com.tofly.ghrq_route.module.trouble.domain.AuditFileBean;

import org.greenrobot.greendao.annotation.Transient;

import java.io.Serializable;
import java.util.List;

@SuppressWarnings("serial")
public class EmergencyHandleData implements Serializable {

    public static final String EMERGENCY_DATA_KEY = "emergency_data";

    public static final String EMERGENCY_ID_KEY = "emergency_id";

    public static final String EMERGENCY_POSITION_KEY = "emergency_position";

    public static final String EMERGENCY_LIST_SELECT_TYPE = "emergency_list_select_type";

    public final static int EMERGENCY_PROCESS_ASSIGN_HANDLE = 1;    //待工单执行回报
    public final static int EMERGENCY_PROCESS_NEED_VERIFY = 2;    //待审核
    public final static int EMERGENCY_PROCESS_NEED_REPAIR = 3;    //待抢修
    public final static int EMERGENCY_PROCESS_REPAIRED = 4;    //完成
    public final static int EMERGENCY_PROCESS_LEVEL_ONE = 5;    //一级审核
    public final static int EMERGENCY_PROCESS_LEVEL_TWO = 6;    //二级审核

    private String emergencyHandling;
    private String mdispatchingDepartment;
    private String mdispatchingUserId;
    private String mdispatchingUserName;
    private String checkUserId;
    private String checkUserName;
    private String mdispatchingNotes;
    private int delFlag;
    private String id;
    private int createUser;
    private String createUserName;
    private String createTime;
    private int workOrderState;
    private String workOrderStateName;
    private double x;
    private double y;
    private String alarmPeopleName;
    private String address;
    private String contactPhone;
    private int type;
    private String typeName;
    private int typeMain;
    private String typeMainName;
    private String departmentId;
    private String departmentName;
    private String dispatchUserId;
    private String dispatchUserName;
    private String assistantDepartment;
    private String assistantDepartmentName;
    private String assistantUserId;
    private String assistantUserName;
    private String description;
    private int rejectedFlag;
    private int isMaintenance;
    private int auditFlag;
    private String overTime;
    private String completeTime;
    private String responsibleDepartment;
    private String responsibleDepartmentName;
    private String responsibleUserId;
    private String responsibleUserName;
    String dispatchDisposeDeptId;
    String dispatchDisposeDeptIdName;
    String  dispatchDisposeNote;
    String  dispatchDisposeUserId;
    String  dispatchDisposeUserIdName;
    private String maintenanceNotes;
    private int companyId;
    private String companyName;
    private String signTime;
    private double signX;
    private double signY;
    @Transient
    private List<AuditFileBean> takeOrderFile;      //应急处理上报附件
    @Transient
    private List<AuditFileBean> emergencyVoice;     //应急派工处理上报音频
    @Transient
    private List<AuditFileBean> emergencyFile;      //应急派工处理上报文件
    @Transient
    private List<AuditFileBean> confirmingTheLink;  //应急派工处理上报签名
    @Transient
    private List<AuditFileBean> mdispatchingFile;   //应急派工文件
    @Transient
    private List<AuditFileBean> maintenanceVoice;       //抢修处理音频
    @Transient
    private List<AuditFileBean> maintenanceFile;        //抢修处理文件
    private List<ScheduleAuditBean> schedulerAuditOneHisList;  //一级审核历史
    private List<ScheduleAuditBean> schedulerAuditTowHisList;  //二级审核历史
    private List<ScheduleExecuteBean> schedulerExecuteHisList;  //派工执行历史
    private List<MaintainExecuteBean> schedulerMaintenanceHisList;  //抢修执行历史

    public String getEmergencyHandling() {
        return emergencyHandling;
    }

    public void setEmergencyHandling(String emergencyHandling) {
        this.emergencyHandling = emergencyHandling;
    }

    public String getMdispatchingDepartment() {
        return mdispatchingDepartment;
    }

    public void setMdispatchingDepartment(String mdispatchingDepartment) {
        this.mdispatchingDepartment = mdispatchingDepartment;
    }

    public String getMdispatchingUserId() {
        return mdispatchingUserId;
    }

    public void setMdispatchingUserId(String mdispatchingUserId) {
        this.mdispatchingUserId = mdispatchingUserId;
    }

    public String getMdispatchingUserName() {
        return mdispatchingUserName;
    }

    public void setMdispatchingUserName(String mdispatchingUserName) {
        this.mdispatchingUserName = mdispatchingUserName;
    }

    public String getCheckUserId() {
        return checkUserId;
    }

    public void setCheckUserId(String checkUserId) {
        this.checkUserId = checkUserId;
    }

    public String getCheckUserName() {
        return checkUserName;
    }

    public void setCheckUserName(String checkUserName) {
        this.checkUserName = checkUserName;
    }

    public String getMdispatchingNotes() {
        return mdispatchingNotes;
    }

    public void setMdispatchingNotes(String mdispatchingNotes) {
        this.mdispatchingNotes = mdispatchingNotes;
    }

    public int getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(int delFlag) {
        this.delFlag = delFlag;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public int getCreateUser() {
        return createUser;
    }

    public void setCreateUser(int createUser) {
        this.createUser = createUser;
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public int getWorkOrderState() {
        return workOrderState;
    }

    public void setWorkOrderState(int workOrderState) {
        this.workOrderState = workOrderState;
    }

    public String getWorkOrderStateName() {
        return workOrderStateName;
    }

    public void setWorkOrderStateName(String workOrderStateName) {
        this.workOrderStateName = workOrderStateName;
    }

    public double getX() {
        return x;
    }

    public void setX(double x) {
        this.x = x;
    }

    public double getY() {
        return y;
    }

    public void setY(double y) {
        this.y = y;
    }

    public String getAlarmPeopleName() {
        return alarmPeopleName;
    }

    public void setAlarmPeopleName(String alarmPeopleName) {
        this.alarmPeopleName = alarmPeopleName;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getContactPhone() {
        return contactPhone;
    }

    public void setContactPhone(String contactPhone) {
        this.contactPhone = contactPhone;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public int getTypeMain() {
        return typeMain;
    }

    public void setTypeMain(int typeMain) {
        this.typeMain = typeMain;
    }

    public String getTypeMainName() {
        return typeMainName;
    }

    public void setTypeMainName(String typeMainName) {
        this.typeMainName = typeMainName;
    }

    public String getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(String departmentId) {
        this.departmentId = departmentId;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public String getDispatchUserId() {
        return dispatchUserId;
    }

    public void setDispatchUserId(String dispatchUserId) {
        this.dispatchUserId = dispatchUserId;
    }

    public String getDispatchUserName() {
        return dispatchUserName;
    }

    public void setDispatchUserName(String dispatchUserName) {
        this.dispatchUserName = dispatchUserName;
    }

    public String getAssistantDepartment() {
        return assistantDepartment;
    }

    public void setAssistantDepartment(String assistantDepartment) {
        this.assistantDepartment = assistantDepartment;
    }

    public String getAssistantDepartmentName() {
        return assistantDepartmentName;
    }

    public void setAssistantDepartmentName(String assistantDepartmentName) {
        this.assistantDepartmentName = assistantDepartmentName;
    }

    public String getAssistantUserId() {
        return assistantUserId;
    }

    public void setAssistantUserId(String assistantUserId) {
        this.assistantUserId = assistantUserId;
    }

    public String getAssistantUserName() {
        return assistantUserName;
    }

    public void setAssistantUserName(String assistantUserName) {
        this.assistantUserName = assistantUserName;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public int getIsMaintenance() {
        return isMaintenance;
    }

    public void setIsMaintenance(int isMaintenance) {
        this.isMaintenance = isMaintenance;
    }

    public int getRejectedFlag() {
        return rejectedFlag;
    }

    public void setRejectedFlag(int rejectedFlag) {
        this.rejectedFlag = rejectedFlag;
    }

    public int getAuditFlag() {
        return auditFlag;
    }

    public void setAuditFlag(int auditFlag) {
        this.auditFlag = auditFlag;
    }

    public String getOverTime() {
        return overTime;
    }

    public void setOverTime(String overTime) {
        this.overTime = overTime;
    }

    public String getCompleteTime() {
        return completeTime;
    }

    public void setCompleteTime(String completeTime) {
        this.completeTime = completeTime;
    }

    public String getResponsibleDepartment() {
        return responsibleDepartment;
    }

    public void setResponsibleDepartment(String responsibleDepartment) {
        this.responsibleDepartment = responsibleDepartment;
    }

    public String getResponsibleDepartmentName() {
        return responsibleDepartmentName;
    }

    public void setResponsibleDepartmentName(String responsibleDepartmentName) {
        this.responsibleDepartmentName = responsibleDepartmentName;
    }

    public String getResponsibleUserId() {
        return responsibleUserId;
    }

    public void setResponsibleUserId(String responsibleUserId) {
        this.responsibleUserId = responsibleUserId;
    }

    public String getResponsibleUserName() {
        return responsibleUserName;
    }

    public void setResponsibleUserName(String responsibleUserName) {
        this.responsibleUserName = responsibleUserName;
    }

    public String getDispatchDisposeDeptId() {
        return dispatchDisposeDeptId;
    }

    public void setDispatchDisposeDeptId(String dispatchDisposeDeptId) {
        this.dispatchDisposeDeptId = dispatchDisposeDeptId;
    }

    public String getDispatchDisposeDeptIdName() {
        return dispatchDisposeDeptIdName;
    }

    public void setDispatchDisposeDeptIdName(String dispatchDisposeDeptIdName) {
        this.dispatchDisposeDeptIdName = dispatchDisposeDeptIdName;
    }

    public String getDispatchDisposeNote() {
        return dispatchDisposeNote;
    }

    public void setDispatchDisposeNote(String dispatchDisposeNote) {
        this.dispatchDisposeNote = dispatchDisposeNote;
    }

    public String getDispatchDisposeUserId() {
        return dispatchDisposeUserId;
    }

    public void setDispatchDisposeUserId(String dispatchDisposeUserId) {
        this.dispatchDisposeUserId = dispatchDisposeUserId;
    }

    public String getDispatchDisposeUserIdName() {
        return dispatchDisposeUserIdName;
    }

    public void setDispatchDisposeUserIdName(String dispatchDisposeUserIdName) {
        this.dispatchDisposeUserIdName = dispatchDisposeUserIdName;
    }

    public String getMaintenanceNotes() {
        return maintenanceNotes;
    }

    public void setMaintenanceNotes(String maintenanceNotes) {
        this.maintenanceNotes = maintenanceNotes;
    }

    public List<AuditFileBean> getTakeOrderFile() {
        return takeOrderFile;
    }

    public void setTakeOrderFile(List<AuditFileBean> takeOrderFile) {
        this.takeOrderFile = takeOrderFile;
    }

    public List<AuditFileBean> getEmergencyVoice() {
        return emergencyVoice;
    }

    public void setEmergencyVoice(List<AuditFileBean> emergencyVoice) {
        this.emergencyVoice = emergencyVoice;
    }

    public List<AuditFileBean> getEmergencyFile() {
        return emergencyFile;
    }

    public void setEmergencyFile(List<AuditFileBean> emergencyFile) {
        this.emergencyFile = emergencyFile;
    }

    public List<AuditFileBean> getConfirmingTheLink() {
        return confirmingTheLink;
    }

    public void setConfirmingTheLink(List<AuditFileBean> confirmingTheLink) {
        this.confirmingTheLink = confirmingTheLink;
    }

    public List<AuditFileBean> getMdispatchingFile() {
        return mdispatchingFile;
    }

    public void setMdispatchingFile(List<AuditFileBean> mdispatchingFile) {
        this.mdispatchingFile = mdispatchingFile;
    }

    public List<AuditFileBean> getMaintenanceVoice() {
        return maintenanceVoice;
    }

    public void setMaintenanceVoice(List<AuditFileBean> maintenanceVoice) {
        this.maintenanceVoice = maintenanceVoice;
    }

    public List<AuditFileBean> getMaintenanceFile() {
        return maintenanceFile;
    }

    public void setMaintenanceFile(List<AuditFileBean> maintenanceFile) {
        this.maintenanceFile = maintenanceFile;
    }

    public List<ScheduleAuditBean> getSchedulerAuditOneHisList() {
        return schedulerAuditOneHisList;
    }

    public void setSchedulerAuditOneHisList(List<ScheduleAuditBean> schedulerAuditOneHisList) {
        this.schedulerAuditOneHisList = schedulerAuditOneHisList;
    }

    public List<ScheduleAuditBean> getSchedulerAuditTowHisList() {
        return schedulerAuditTowHisList;
    }

    public void setSchedulerAuditTowHisList(List<ScheduleAuditBean> schedulerAuditTowHisList) {
        this.schedulerAuditTowHisList = schedulerAuditTowHisList;
    }

    public List<ScheduleExecuteBean> getSchedulerExecuteHisList() {
        return schedulerExecuteHisList;
    }

    public void setSchedulerExecuteHisList(List<ScheduleExecuteBean> schedulerExecuteHisList) {
        this.schedulerExecuteHisList = schedulerExecuteHisList;
    }

    public List<MaintainExecuteBean> getSchedulerMaintenanceHisList() {
        return schedulerMaintenanceHisList;
    }

    public void setSchedulerMaintenanceHisList(List<MaintainExecuteBean> schedulerMaintenanceHisList) {
        this.schedulerMaintenanceHisList = schedulerMaintenanceHisList;
    }

    public int getCompanyId() {
        return companyId;
    }

    public void setCompanyId(int companyId) {
        this.companyId = companyId;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getSignTime() {
        return signTime;
    }

    public void setSignTime(String signTime) {
        this.signTime = signTime;
    }

    public double getSignX() {
        return signX;
    }

    public void setSignX(double signX) {
        this.signX = signX;
    }

    public double getSignY() {
        return signY;
    }

    public void setSignY(double signY) {
        this.signY = signY;
    }
}
